Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class Attributes

    java.lang.Object
      de.grogra.graph.Attributes

Direct Known Subclasses:
  Attributes, Attributes

    public class Attributes

extends java.lang.Object

Field Summary
`static IntAttribute` | `LAYER`
`static int` | `LAYER_COUNT`
`static StringAttribute` | `NAME`
`static ObjectAttribute` | `USER_FIELDS`
`static FloatAttribute` | `WEIGHT`

Constructor Summary
`Attributes()`

Method Summary
`static BooleanAttribute` | `init(BooleanAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static BooleanAttribute` | `init(BooleanAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static ByteAttribute` | `init(ByteAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static ByteAttribute` | `init(ByteAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static CharAttribute` | `init(CharAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static CharAttribute` | `init(CharAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static DoubleAttribute` | `init(DoubleAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static DoubleAttribute` | `init(DoubleAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static FloatAttribute` | `init(FloatAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static FloatAttribute` | `init(FloatAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static IntAttribute` | `init(IntAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static IntAttribute` | `init(IntAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static LongAttribute` | `init(LongAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static LongAttribute` | `init(LongAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static ObjectAttribute` | `init(ObjectAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static ObjectAttribute` | `init(ObjectAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static ShortAttribute` | `init(ShortAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static ShortAttribute` | `init(ShortAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static StringAttribute` | `init(StringAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static StringAttribute` | `init(StringAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`
`static VoidAttribute` | `init(VoidAttribute a, java.lang.String simpleName, I18NBundle bundle)`
`static VoidAttribute` | `init(VoidAttribute a, java.lang.String name, I18NBundle bundle, java.lang.String resourceKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYER

    public static final IntAttribute LAYER

### LAYER_COUNT

    public static final int LAYER_COUNT

See Also:
  Constant Field Values

### NAME

    public static final StringAttribute NAME

### USER_FIELDS

    public static final ObjectAttribute USER_FIELDS

### WEIGHT

    public static final FloatAttribute WEIGHT

Constructor Detail

### Attributes

    public Attributes()

Method Detail

### init

    public static final BooleanAttribute init(BooleanAttribute a,
                                              java.lang.String simpleName,
                                              I18NBundle bundle)

### init

    public static final BooleanAttribute init(BooleanAttribute a,
                                              java.lang.String name,
                                              I18NBundle bundle,
                                              java.lang.String resourceKey)

### init

    public static final ByteAttribute init(ByteAttribute a,
                                           java.lang.String simpleName,
                                           I18NBundle bundle)

### init

    public static final ByteAttribute init(ByteAttribute a,
                                           java.lang.String name,
                                           I18NBundle bundle,
                                           java.lang.String resourceKey)

### init

    public static final CharAttribute init(CharAttribute a,
                                           java.lang.String simpleName,
                                           I18NBundle bundle)

### init

    public static final CharAttribute init(CharAttribute a,
                                           java.lang.String name,
                                           I18NBundle bundle,
                                           java.lang.String resourceKey)

### init

    public static final DoubleAttribute init(DoubleAttribute a,
                                             java.lang.String simpleName,
                                             I18NBundle bundle)

### init

    public static final DoubleAttribute init(DoubleAttribute a,
                                             java.lang.String name,
                                             I18NBundle bundle,
                                             java.lang.String resourceKey)

### init

    public static final FloatAttribute init(FloatAttribute a,
                                            java.lang.String simpleName,
                                            I18NBundle bundle)

### init

    public static final FloatAttribute init(FloatAttribute a,
                                            java.lang.String name,
                                            I18NBundle bundle,
                                            java.lang.String resourceKey)

### init

    public static final IntAttribute init(IntAttribute a,
                                          java.lang.String simpleName,
                                          I18NBundle bundle)

### init

    public static final IntAttribute init(IntAttribute a,
                                          java.lang.String name,
                                          I18NBundle bundle,
                                          java.lang.String resourceKey)

### init

    public static final LongAttribute init(LongAttribute a,
                                           java.lang.String simpleName,
                                           I18NBundle bundle)

### init

    public static final LongAttribute init(LongAttribute a,
                                           java.lang.String name,
                                           I18NBundle bundle,
                                           java.lang.String resourceKey)

### init

    public static final ObjectAttribute init(ObjectAttribute a,
                                             java.lang.String simpleName,
                                             I18NBundle bundle)

### init

    public static final ObjectAttribute init(ObjectAttribute a,
                                             java.lang.String name,
                                             I18NBundle bundle,
                                             java.lang.String resourceKey)

### init

    public static final ShortAttribute init(ShortAttribute a,
                                            java.lang.String simpleName,
                                            I18NBundle bundle)

### init

    public static final ShortAttribute init(ShortAttribute a,
                                            java.lang.String name,
                                            I18NBundle bundle,
                                            java.lang.String resourceKey)

### init

    public static final StringAttribute init(StringAttribute a,
                                             java.lang.String simpleName,
                                             I18NBundle bundle)

### init

    public static final StringAttribute init(StringAttribute a,
                                             java.lang.String name,
                                             I18NBundle bundle,
                                             java.lang.String resourceKey)

### init

    public static final VoidAttribute init(VoidAttribute a,
                                           java.lang.String simpleName,
                                           I18NBundle bundle)

### init

    public static final VoidAttribute init(VoidAttribute a,
                                           java.lang.String name,
                                           I18NBundle bundle,
                                           java.lang.String resourceKey)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD